Write permissions bug when installing PHPUnit on XAMPP 1.7.4

I was upgrading an installation of MediaWiki and had to download the latest version of XAMPP in order to run the update file, as the new MedaiWiki doesn’t work with PHP 5.3.1.

When going through the usual PHPUnit install

pear install phpunit/PHPUnit

I recieved an permissions error saying the PHPUnit files could not be created, however the PHP folder it was trying to install PHPUnit in was C:\php - which didn’t exist.

Creating a PHP folder in C:\ solved the install error, but meant PHPUnit was now installed in a random folder.

It appears the error is actually caused by having an old version of PEAR installed.

Upgrading PEAR:

pear upgrade PEAR

then installing PHPUnit, installs everything correctly.

Notes

  1. webdevscrapbook posted this